Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.util
Class StandardUtilities.StringCompare<E>

    java.lang.Object
      org.gjt.sp.util.StandardUtilities.StringCompare<E>

All Implemented Interfaces:
  java.util.Comparator<E>

Enclosing class:
  StandardUtilities

    public static class StandardUtilities.StringCompare<E>

extends java.lang.Object
implements java.util.Comparator<E>

Compares objects as strings.

Constructor Summary
`StandardUtilities.StringCompare()`
`StandardUtilities.StringCompare(boolean icase)`

Method Summary
`int` | `compare(E obj1, E obj2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### StandardUtilities.StringCompare

    public StandardUtilities.StringCompare(boolean icase)

### StandardUtilities.StringCompare

    public StandardUtilities.StringCompare()

Method Detail

### compare

    public int compare(E obj1,
                       E obj2)

  Specified by:
    `compare` in interface `java.util.Comparator<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD